SolrInputDocument
SolrInputDocument::clear
SolrInputDocument
PHP Manual

# SolrInputDocument::addField

Adds a field to the document

### Description

public bool SolrInputDocument::addField ( string `$fieldName` , string `$fieldValue` [, float `$fieldBoostValue` = 0.0 ] )

For multi-value fields, if a valid boost value is specified, the specified value will be multiplied by the current boost value for this field.

### Parameters

`fieldName`

  The name of the field

`fieldValue`

  The value for the field.

`fieldBoostValue`

  The index time boost for the field. Though this cannot be negative, you can still pass values less than 1.0 but they must be greater than zero.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.